View Issue Details

IDProjectCategoryView StatusLast Update
0005762Talerauditorpublic2020-10-24 21:55
ReporterMarcello Stanisci Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0005762: Website should obey to a prefix value.
DescriptionThe auditor(.git) Website has no mean to take the installation prefix from the user. On the one hand, this is right/understandable, because all the HTML lives under the repository itself. The wrong thing is that all the dependencies (Babel, for now) get installed under "~/.local", and this makes less obvious ("rm -fr *" does not catch it!) to erase everything and try a Taler installation in a clean user environment.
TagsNo tags attached.

Activities

nikita

2019-07-15 15:40

developer   ~0014674

ack. Will get to this after GSoC.

Christian Grothoff

2020-10-13 01:48

manager   ~0017014

We should re-use the build system from 'www.git' here.

Christian Grothoff

2020-10-24 21:55

manager   ~0017036

The scripting was fixed to do something analogous to the main Web site with --prefix and --variant.
However, I did NOT fix the deployment, as the page itself is not anywhere near workable for Taler v0.8.
I've asked Florian to look into this.

Issue History

Date Modified Username Field Change
2019-06-11 13:07 Marcello Stanisci New Issue
2019-06-11 13:07 Marcello Stanisci Status new => assigned
2019-06-11 13:07 Marcello Stanisci Assigned To => Christian Grothoff
2019-06-11 13:08 Marcello Stanisci Assigned To Christian Grothoff =>
2019-06-11 13:08 Marcello Stanisci Description Updated View Revisions
2019-07-14 11:49 Christian Grothoff Assigned To => nikita
2019-07-15 15:40 nikita Status assigned => acknowledged
2019-07-15 15:40 nikita Note Added: 0014674
2020-05-05 09:53 nikita Assigned To nikita =>
2020-08-29 00:04 Christian Grothoff Assigned To => Christian Grothoff
2020-08-29 00:04 Christian Grothoff Status acknowledged => assigned
2020-09-05 13:50 Christian Grothoff Severity minor => feature
2020-10-13 01:48 Christian Grothoff Note Added: 0017014
2020-10-24 21:55 Christian Grothoff Status assigned => resolved
2020-10-24 21:55 Christian Grothoff Resolution open => fixed
2020-10-24 21:55 Christian Grothoff Fixed in Version => 0.8
2020-10-24 21:55 Christian Grothoff Note Added: 0017036
2020-10-24 21:55 Christian Grothoff Product Version => git (master)
2020-10-24 21:55 Christian Grothoff Target Version => 0.8